Bug Hunting Session
Bug 99850 - [UI] The term Sheet >Go to Sheet is not a good one
Summary: [UI] The term Sheet >Go to Sheet is not a good one
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-14 23:32 UTC by Olivier Hallot
Modified: 2016-10-25 19:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2016-05-14 23:32:00 UTC
In Calc, the term used in menu Sheet -> Go to Sheet is misleading.

It may serve to actually go to a given sheet listed in the dialog, but it is not the right function.

Before, the term was "Edit > Sheet > Select". Now it is Sheet > Go to Sheet.

According to the Getting Started Guide, in the Calc chapter says:

Sharing content between sheets
You might want to enter the same information in the same cell on multiple sheets, for example to set up standard listings for a group of individuals or organizations. Instead of entering the list on each sheet individually, you can enter the information in several sheets at the same time.
 1) Go to Edit > Sheet > Select on the Menu bar to open the Select Sheets dialog.

 2) Select the individual sheets where you want the information to be repeated. Use the Shift and Ctrl (Options on Mac) keys to select multiple sheets.
 3) Click OK to select the sheets and the sheet tabs will change color.
 4) Enter the information in the cells on the first sheet where you want it to appear and it will be repeated in all the selected sheets.
Note
This technique automatically overwrites, without any warning, any information that is already in the cells on the selected sheets. Make sure you deselect the additional sheets when you are finished entering information that is going to be repeated before continuing to enter data into your spreadsheet
Comment 1 m.a.riosv 2016-05-15 23:39:35 UTC
I agree it is a misleading, maybe it could be 'Menu/Sheet/Sheet selection'
Comment 3 Commit Notification 2016-05-19 22:12:50 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=debbf41208d1fabf7ede667fcafee285d7f22e14&h=libreoffice-5-1

tdf#99850 Menu entry for Select Sheets...

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.